﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InputOutputLibrary;
using CalculatorLibrary;
using Microsoft.Practices.Unity;
using CommandParserLibrary;
using Microsoft.Practices.Unity.Configuration;
using System.Configuration;

namespace Application
{
  class Program
  {
    static void Main(string[] args)
    {
      UnityContainer Container = new UnityContainer();
      UnityConfigurationSection configSection = (UnityConfigurationSection)ConfigurationManager.GetSection("unity");
      configSection.Configure(Container);

      //Container.RegisterType<ICalculator, Calculator>();
      //Container.RegisterType<IInputService, ConsoleInputService>();
      //Container.RegisterType<IOutputService, ConsoleOutputService>();
      //Container.RegisterType<IInputParserService, InputParserService>();
      //Container.RegisterType<ICalcutorReplLoop, CalcutorReplLoop>();

      ICalcutorReplLoop loop = Container.Resolve<ICalcutorReplLoop>();
      loop.Run();
    }
  }
}
